net.sf.jasperreports.olap.xmla

## Class Olap4jXmlaQueryExecuter

- java.lang.Object
- - net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
  - - net.sf.jasperreports.olap.xmla.Olap4jXmlaQueryExecuter

- All Implemented Interfaces:
    JRQueryExecuter

      public class Olap4jXmlaQueryExecuter
      extends JRAbstractQueryExecuter

  Version:
    $Id: Olap4jXmlaQueryExecuter.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    swood

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `JRAbstractQueryExecuter.QueryParameter, JRAbstractQueryExecuter.QueryParameterEntry, JRAbstractQueryExecuter.QueryParameterVisitor, JRAbstractQueryExecuter.ValuedQueryParameter, JRAbstractQueryExecuter.VisitExceptionWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OLAP4J_DRIVER`
    `static java.lang.String` | `OLAP4J_URL_PREFIX`
    `static java.lang.String` | `OLAP4J_XMLA_DRIVER_CLASS`
    `static java.lang.String` | `OLAP4J_XMLA_URL_PREFIX`
    `static java.lang.String` | `XMLA_CATALOG`
    `static java.lang.String` | `XMLA_DATA_SOURCE`
    `static java.lang.String` | `XMLA_PASSWORD`
    `static java.lang.String` | `XMLA_SERVER`
    `static java.lang.String` | `XMLA_USER`

    - ### Fields inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `CLAUSE_POSITION_ID, clauseFunctions, dataset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Olap4jXmlaQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancelQuery()` Cancels the query if it's currently running.
    `void` | `close()` Closes resources kept open during the data source iteration.
    `JRDataSource` | `createDatasource()` Executes the query and creates a `JRDataSource` out of the result.
    `protected java.lang.String` | `getCanonicalQueryLanguage()` Returns a canonical query language for this query executer implementation.
    `protected java.lang.String` | `getParameterReplacement(java.lang.String parameterName)` Returns the replacement text for a query parameter.
    `protected void` | `handleCellErrors(org.olap4j.Cell currentCell)`
    `protected void` | `handleHierInfo(JRXmlaResultAxis xmlaAxis, org.olap4j.CellSetAxisMetaData axisMetaData)`
    `protected void` | `handlePosition(JRXmlaResultAxis axis, org.olap4j.CellSetAxis itAxisElement, org.olap4j.Position p)`
    `protected void` | `parseAxes(org.olap4j.CellSet result)`
    `protected void` | `parseCellDataElement(org.olap4j.CellSet result)`
    `protected void` | `parseResult(org.olap4j.CellSet result)` Parses the result into this class's structure

    - ### Methods inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `addQueryMultiParameters, addQueryMultiParameters, addQueryParameter, addQueryParameter, appendClauseChunk, appendParameterChunk, appendParameterClauseChunk, appendQueryChunk, appendTextChunk, applyClause, checkParameter, findExtensionQueryFunction, getBooleanParameter, getBooleanParameter, getBooleanParameterOrProperty, getBooleanParameterOrProperty, getCollectedParameterNames, getCollectedParameters, getJasperReportsContext, getParameter, getParameterValue, getParameterValue, getPropertiesUtil, getQueryString, getStringParameter, getStringParameterOrProperty, getValueParameter, getValueParameter, parameterHasValue, parseQuery, registerClauseFunction, resolveFunction, unregisterClauseFunction, visitQueryParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OLAP4J_DRIVER

          public static final java.lang.String OLAP4J_DRIVER

      See Also:
        Constant Field Values

    - #### OLAP4J_URL_PREFIX

          public static final java.lang.String OLAP4J_URL_PREFIX

      See Also:
        Constant Field Values

    - #### XMLA_SERVER

          public static final java.lang.String XMLA_SERVER

      See Also:
        Constant Field Values

    - #### XMLA_CATALOG

          public static final java.lang.String XMLA_CATALOG

      See Also:
        Constant Field Values

    - #### XMLA_DATA_SOURCE

          public static final java.lang.String XMLA_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### XMLA_USER

          public static final java.lang.String XMLA_USER

      See Also:
        Constant Field Values

    - #### XMLA_PASSWORD

          public static final java.lang.String XMLA_PASSWORD

      See Also:
        Constant Field Values

    - #### OLAP4J_XMLA_DRIVER_CLASS

          public static final java.lang.String OLAP4J_XMLA_DRIVER_CLASS

      See Also:
        Constant Field Values

    - #### OLAP4J_XMLA_URL_PREFIX

          public static final java.lang.String OLAP4J_XMLA_URL_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Olap4jXmlaQueryExecuter

          public Olap4jXmlaQueryExecuter(JasperReportsContext jasperReportsContext,
                                 JRDataset dataset,
                                 java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)

  - ### Method Detail

    - #### getCanonicalQueryLanguage

          protected java.lang.String getCanonicalQueryLanguage()

      Description copied from class: `JRAbstractQueryExecuter`
      Returns a canonical query language for this query executer implementation.

      The canonical language is used to retrieve extensions for the query executer.

      The default implementation returns the runtime query language used in the dataset, but query executer implementations should override this method and return a fixed language.

      Overrides:
        `getCanonicalQueryLanguage` in class `JRAbstractQueryExecuter`
      Returns:
        a canonical query language

    - #### getParameterReplacement

          protected java.lang.String getParameterReplacement(java.lang.String parameterName)

      Description copied from class: `JRAbstractQueryExecuter`
      Returns the replacement text for a query parameter.
      Specified by:
        `getParameterReplacement` in class `JRAbstractQueryExecuter`
      Parameters:
        `parameterName` - the parameter name
      Returns:
        the replacement text
      See Also:
        `JRQueryChunk.TYPE_PARAMETER`

    - #### createDatasource

          public JRDataSource createDatasource()
                                        throws JRException

      Description copied from interface: `JRQueryExecuter`
      Executes the query and creates a `JRDataSource` out of the result.
      Returns:
        a `JRDataSource` wrapping the query execution result.
      Throws:
        `JRException`

    - #### cancelQuery

          public boolean cancelQuery()
                              throws JRException

      Description copied from interface: `JRQueryExecuter`
      Cancels the query if it's currently running.

      This method will be called from a different thread if the client decides to cancel the filling process.
      Returns:
        `true` if and only if the query was running and it has been canceled
      Throws:
        `JRException`

    - #### close

          public void close()

      Description copied from interface: `JRQueryExecuter`
      Closes resources kept open during the data source iteration.

      This method is called after the report is filled or the dataset is iterated. If a resource is not needed after the data source has been created, it should be released at the end of `createDatasource`.

    - #### parseResult

          protected void parseResult(org.olap4j.CellSet result)
                              throws JRException

      Parses the result into this class's structure
      Parameters:
        `result` - The CellSet query result
      Throws:
        `JRException`

    - #### parseAxes

          protected void parseAxes(org.olap4j.CellSet result)

    - #### parseCellDataElement

          protected void parseCellDataElement(org.olap4j.CellSet result)
                                       throws JRException

      Throws:
        `JRException`

    - #### handleCellErrors

          protected void handleCellErrors(org.olap4j.Cell currentCell)
                                   throws JRException

      Throws:
        `JRException`

    - #### handleHierInfo

          protected void handleHierInfo(JRXmlaResultAxis xmlaAxis,
                            org.olap4j.CellSetAxisMetaData axisMetaData)

    - #### handlePosition

          protected void handlePosition(JRXmlaResultAxis axis,
                            org.olap4j.CellSetAxis itAxisElement,
                            org.olap4j.Position p)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com